from matplotlib.pylab import *

def f(t):
    return t**2*exp(-t**2)

t = linspace(0, 3, 51) # 51 puntos entre 0 y 3
y = zeros(len(t)) # reservar espacio de memoria para y con elementos flotantes.

# Se puede hacer utilizando ciclos, pero es mas lento
# for i in xrange(len(t)):
#    y[i] = f(t[i])

# Se obtiene una ejecucion mas rapida (y la sintaxis tambien es mas simple)
# actuando sobre todo el arreglo t
y = f(t)

plot(t, y)
show()